Subject: Re: bug#3447: suggest minibuffer M-< go to start of text

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 Sep 2019 10:23:42 +0200

Kevin Ryde <[email-masked]> writes:

> Dunno if it'd be best to have a function recognising "field" stuff, or
> just a different keybinding in the minibuffer.  I've been using the
> couple of lines below.  It's good when you've got a multiple lines in
> the minibuffer.
>
> (defun my-minibuffer-beginning-of-buffer ()
>   (interactive)
>   (or (and (fboundp 'region-active-p) ;; new in emacs23
>            (region-active-p))
>       (push-mark))
>   (if (<= (point) (minibuffer-prompt-end))
>       (goto-char (point-min))
>     (goto-char (minibuffer-prompt-end))))
> (define-key minibuffer-local-map "\M-<" 'my-minibuffer-beginning-of-buffer)

I think something like this would be a very good idea.  I frequently
have long, multiline expressions in the minibuffer, and `M-<' not taking
me to the start of the editable data is annoying.

Does anybody object to making a change like this?  (It'll have to be
modernised a bit, of course.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no